Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360807 - [RFE] Generate events in GlusterD
Summary: [RFE] Generate events in GlusterD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard: USM-Gluster integration
Depends On:
Blocks: 1351503 1360809
TreeView+ depends on / blocked
 
Reported: 2016-07-27 14:15 UTC by Atin Mukherjee
Modified: 2017-03-23 05:40 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1360809 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:40:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Atin Mukherjee 2016-07-27 14:15:48 UTC
Description of problem:

This RFE is to track the changes required in the glusterd component to capture all the async events which are required for eventing framework to consume them.

Comment 2 Atin Mukherjee 2016-08-09 05:04:55 UTC
Upstream patch http://review.gluster.org/15015 posted for review. There would be one more patch to cover the rest of the events from GlusterD.

Comment 4 Atin Mukherjee 2016-08-23 14:02:29 UTC
http://review.gluster.org/#/c/15153/ is the other patch posted for review.

Comment 5 Atin Mukherjee 2016-09-16 10:48:15 UTC
Following downstream patches are merged now:

https://code.engineering.redhat.com/gerrit/#/c/84793/
https://code.engineering.redhat.com/gerrit/#/c/84795/

Comment 10 Byreddy 2016-11-03 08:48:52 UTC
Verified this RFE using the build 3.8.4-3.

events are generated when cluster and volume operations happened in the backend.

Moving to verified state.

Comment 12 errata-xmlrpc 2017-03-23 05:40:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.